List Component Versions
Path Parameters
slug*string
Query Parameters
cursor?string|null
limit?string|null
projectId?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/components/string/versions"{ "data": [ { "builtAt": "string", "byteSize": 0, "componentId": "string", "contentHash": "string", "panelHash": "string", "createdAt": "string", "createdBy": "string", "manifest": null, "slug": "string", "sourceKind": "wasm", "status": "queued", "version": 0, "versionId": "string", "deprecatedAt": "string", "warnings": [ "conformance-not-run" ], "conformance": { "hasPassed": true, "checks": [ { "name": "string", "status": "pass", "errors": [ "string" ], "warnings": [ "string" ] } ] } } ], "pageInfo": { "endCursor": "string", "hasNextPage": true }}{ "_tag": "Api/SdkValidationError", "message": "string"}{ "_tag": "Api/AuthenticationError", "cause": "string", "message": "string"}{ "_tag": "Api/ActionForbiddenError", "message": "string"}{ "_tag": "Api/ComponentNotFoundError", "message": "string"}{ "_tag": "Api/ComponentServiceError", "message": "string"}